List Related Persons
curl --request GET \
--url https://api.rolla.xyz/api/v1/external/accounts/{accountId}/related-persons \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rolla.xyz/api/v1/external/accounts/{accountId}/related-persons"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rolla.xyz/api/v1/external/accounts/{accountId}/related-persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Related persons retrieved successfully",
"data": [
{
"id": "<string>",
"firstName": "John",
"lastName": "Doe",
"roles": [
"Beneficial Owner"
],
"email": "jsmith@example.com",
"phone": "<string>",
"dateOfBirth": "1990-01-15",
"ownershipPercentage": 50,
"currentAddress": {
"street": "123 Main Street",
"city": "Lagos",
"state": "Lagos",
"postalCode": "100001",
"country": "NG"
},
"sourceOfWealthExplanation": "<string>",
"taxId": "440301199209153216",
"bvn": "<string>",
"nin": "<string>"
}
]
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}Account Onboarding
List Related Persons
Lists the beneficial owners and directors registered on a business account’s application.
GET
/
accounts
/
{accountId}
/
related-persons
List Related Persons
Lists the beneficial owners and directors registered on a business account’s application.
Example Request
curl -X GET "https://api.rolla.xyz/api/v1/external/accounts/eec3cbed-79d8-4370-87a0-b6be9e287337/related-persons" \
-H "X-API-Key: your_api_key_here"
Example Response
{
"success": true,
"message": "Related persons retrieved successfully",
"data": [
{
"id": "a3d4f21e-f499-488f-8508-43228dfea485",
"firstName": "Jane",
"lastName": "Doe",
"roles": ["Beneficial Owner", "Director"],
"email": "jane@betalogistics.com",
"ownershipPercentage": 60
}
]
}
Use Get Requirements to see each person’s identity verification status alongside the rest of the submission checklist.
Authorizations
Your Rolla API key
Path Parameters
Identifier of an account owned by the same user as your API key's business
⌘I